/* layout.css */

body{font-family: 'S-CoreDream-3Light', sans-serif;
    height: 100vh;
    display:flex;
    margin: 0;
    justify-content: center;
    align-items: center;
    background-color: #A3A3A3;
    background-size: 80px;
    background-image: url('./images/pattern.png');
}

.bookcover{
    width: 800px; height: 500px;
    position: relative;
    background-color: #cccbcb;
    border: 1px #768488 solid;
    border-radius: 8px;
    box-shadow: 1px 1px 1px 2px rgba(1,1,1,0.1);
}

.bookdot{
    position: absolute;
    margin: 13px;
    top: 0; left: 0; right: 0; bottom: 0;
    border: 1px #f0f0f0 dashed;
    border-radius: 8px;
}

.page{
    position: absolute;
    display: flex;
    flex-direction: row;
    margin: 8px;
    padding: 10px;
    top: 0; left: 0; right: 0; bottom: 0;
    background-color: #EEEEEE;
    border-radius: 8px;
}

.profile_wrapper, .content_wrapper, .menu_wrapper{
    display: flex;
    flex-direction: column;
    padding: 2px 5px;
}

.profile_wrapper{
    flex: 0.25;
}

.content_wrapper{
    flex: 0.65;
    margin-left: 5px;
    padding-right: 0px;
}

.menu_wrapper{
    flex: 0.1;
    display: flex;
    padding-left: 0px;
}


.profile_top, .content_top{
    display: flex;
    flex : 0.07;
    align-items: center;
    color: #636363;
}

.profile_top{
    font-size: 13px;
    justify-content: center;
}

.content_top{
    justify-content: space-between;
}

.content_top .page_title{
    font-size: 16px;
}

.content_top .page_url{
    font-size: 10px;
}

.profile_content, .main_content{
    display: flex;
    flex-flow: column wrap;
    flex: 0.93;
    padding:10px;
    background-color: #ffffff;
    border: 1px #d4d4d4 solid;
    border-radius: 7px;
}

.profile_top .hit{
    font-family: 'DungGeunMo';
}

.profile_top .today{
    color: red;
}

.profile_content .introduce{
    font-family: 'KyoboHand';
    font-size: 15px;
}

.profile_content .settings{
    display: flex;
    flex-direction: row;
    padding-top: 10px;
    font-family: 'DungGeunMo';
    font-size: 12px;
}

.profile_content .settings div:first-child{
    margin-right: 10px;
}

.profile_content .profileBtn{
    color: #5e9cc5
}

.profile_content .name{
    font-family: 'DungGeunMo';
    color: #546572;
    font-weight: bold;
    font-size: 14px;
}

.profile_content .name .gender{
    color: #a8a8a8;
}

.profile_content #dropdown, #dropdown_row{
    margin:0;
    padding:0;
    list-style-type: none;
    font-family: 'S-CoreDream-3Light';
    font-size: 13px;
}

.profile_content #dropdown > li {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    padding: 2px 5px;
    margin: 5px 0px;
    background-color: #fcfcfc;
    border: 1px solid #9e9e9e;
}

.profile_content #dropdown > li > a{
    display: block;
}

.profile_content #dropdown_row{
    position: relative;
    visibility: hidden;
}

.profile_content #dropdown_row > li > a{
    display: block;
    color: #050505;
    text-decoration: none;
    padding: 5px;
    background-color: #f0f0f0;
}

.profile_content #dropdown:hover #dropdown_row
{
    visibility: visible;
}

.profile_content #dropdown_row > li:hover > a{
    background-color: #c7c7c7;
}

.divider{
    width: 100%; height: 1px;
    border-top: 1px #d4d4d4 solid;
    margin: 0px 0px 10px;
}

.menu_wrapper .spacer{
    flex: 0.2;
}

.menu_wrapper .menus{
    padding: 10px 0px 10px 7px;
    margin: 2px 0px;
    font-size: 13px;
    color: #d4d4d4;
    background-color: #202020;
    border: 0.01em #181818 solid;
    border-left: none;
    border-radius: 0px 8px 8px 0px;
}

.menu_wrapper .menus:hover{
    color: #181818;
    background-color: #fddadab9;
    border: 0.01em #181818 solid;
    border-left: none;
}

.menu_wrapper .menus:link, .menus:visited, .menus:hover{
    text-decoration: none;
}